<?php

declare(strict_types=1);

namespace App\EventListener;

use Doctrine\ORM\EntityManagerInterface;

/**
 * Trait Helper qui met à disposition des fonctions d'aide pour les EventListeners.
 *
 * @phpstan-ignore-next-line le fait que le trait ne soit utilisé nulle part lève une erreur (2025-02)
 */
trait Helper
{
    private function hasChangeField(EntityManagerInterface $entityManager, $entity, string $field): bool
    {
        return key_exists($field, $entityManager->getUnitOfWork()->getEntityChangeSet($entity));
    }
}
